#!/bin/bash
set -e
# Print DataPower log to standard out (all available entires)
dpbuddy tail -lines "-1"
# Tail DataPower log, if domainPatterns matches multiple domains, 
# tailLog will consolidate logs from these domains
dpbuddy tail -domainPatterns "dpbuddy-.*, e2e.*"  -lines 100
# You can also change the log format. 
# The following template will add transaction ID to the log. 
# See User Guide for more details
# You can specify any logTarget configured on the device
dpbuddy tail -logTarget "default-log" -format "{1,date,yyyy-MM-dd HH:mm:ss} |{2}| {4,number,#} | {0}{3}"
# Save all log entries from the device locally
dpbuddy tail -lines "-1" -logFile "\${java.io.tmpdir}/dp.log" -appendTimestamp
# Log the message to the device's system log
dpbuddy log -level info -category all  -message "Hello from DPBuddy"
# Set logging level on the device for the 'all' category
dpbuddy setLogLevel -level INFO
